/*******************************************************************************
 *	BEvent.h	Event class
 *	T.Barnaby,	BEAM Ltd,	2005-07-08
 *	Copyright (c) 2005 All Right Reserved, Beam Ltd, http://www.beam.ltd.uk
 *******************************************************************************
 */
#ifndef BEvent_H
#define BEvent_H	1

#include <BTypes.h>
#include <BQueue.h>

enum BEventType { BEventTypeNone = 0 };

class BEvent {
public:
			BEvent(BUInt32 type = BEventTypeNone, BUInt32 arg = 0);

	BUInt32		type();
	BUInt32		arg();
	
private:
	BUInt32		otype;			///< The events type
	BUInt32		oarg;			///< The events argument
};

typedef BQueue<BEvent>	BEventQueue;

#endif
